import config from "@/config"
import { $t } from '../locales'

//系统路由
const routes = [
	{
		name: "layout",
		path: "/",
		component: () => import(/* webpackChunkName: "layout" */ '@/layout'),
		redirect: config.DASHBOARD_URL || '/dashboard',
		children: []
	},
	{
		path: "/login",
		component: () => import('@/views/login/login'),
		meta: {
			title: "登录"
		}
	},
	{
		path: "/reportTemplateDesigner",
		component: () => import(/* webpackChunkName: "reportTemplateDesigner" */ '@/views/reportTemplateManage/reportTemplateDesigner'),
		meta: {
			title: $t('reportDesigner.mainTitle')
		}
	},
	{
		path: "/reportTemplatePreview",
		component: () => import(/* webpackChunkName: "reportTemplatePreview" */ '@/views/reportTemplateManage/reportTemplatePreview'),
		meta: {
			title: $t('reportDesigner.Preview')
		}
	},
	{
		path: "/shareExamPage",
		component: () => import(/* webpackChunkName: "shareExamPage" */ '@/views/shareManage/shareExamPage'),
		meta: {
			title: $t('menu.shareExamPage')
		}
	},
]

export default routes;
